.product_preview{
    padding: 14rem 0 8rem;
    background: url('../img/preview_bg.png') no-repeat center/cover;
    
}
.product_preview .left{
    width: 40.98%;
}
.product_preview .left h1{
    font-size: 5.9rem;
    line-height: 6.2rem;
    color: white;
    margin-bottom: 2.2rem;
}
.product_preview .left p{
    font-size: 1.8rem;
    line-height: 2.7rem;
    color: #ffffff;
    opacity: 0.8;
    font-weight: 300;
}
.product_preview .left .flex{
    margin-top: 4.4rem;
    gap: 2.9rem;
}
.product_preview .left .btn_line{
    min-width: 25.6rem;
    background-color: transparent;
    border: 1px solid rgba(255, 255, 255, 0.5);
    justify-content: space-between;
}
.product_preview .left .btn_line:after{
    background-image: url('../img/btn-download.svg');
    width: 1.8rem;
    height: 1.8rem;
}

.product_preview .right{
    width: 45.11%;
}

.product_preview .right .img{
    aspect-ratio: 1;
    transform: translateX(2rem);
}

.product_attrs .main{
    background-color: white;
    border-radius: 22px;
    border: 1px solid #eaeaea;
    padding: 3.9rem 0;
    transform: translateY(-50%);
}
.product_attrs .main ul{
    display: flex;
}
.product_attrs .main ul li{
    flex: 1;
    display: flex;
    align-items: center;
    padding: 0 5.6rem;
    gap: 2.6rem;
}
.product_attrs .main ul li .img{
    width: 9.5rem;
    height: 9.5rem;
}
.product_attrs .main ul li span{
    display: block;
    font-size: 1.8rem;
    color: #4d4d4d;
}
.product_attrs .main ul li strong{
    font-size: 2.6rem;
    font-weight: 600;
}
.product_attrs .main ul li + li{
    border-left: 1px solid rgba(0, 0, 0, 0.14);
}

.product_key {
    padding: 0 0 11.1rem;
}
.product_key .left{
    width: 45.11%;
}
.product_key .left .img{
    aspect-ratio: 1;
    background: url('../img/feature_bg.svg') no-repeat center/cover;
    transform: translateX(-5rem);
}
.product_key .right{
    width: 52.45%;
}
.product_key .head{
    margin-bottom: -2rem;
}

.product_key .right li .icon{
    width: 8rem;
    height: 8rem;
    min-width: 8rem;
    margin-right: 3rem;
}
.product_key .right li {
    display: flex;
    padding: 3.2rem 0 4.1rem;
    border-bottom: 1px solid rgba(4, 4, 20, 0.14);
}
.product_key .right li strong{
    margin-right: 8.2rem;
    display: block;
    font-size: 2.4rem;
    line-height: 3.5rem;
    font-weight: 600;
    min-width: 16rem;
    padding-top: 1.2rem;
}
.product_key .right li p{
    font-size: 1.7rem;
    line-height: 2.8rem;
    padding-top: 1.2rem;
}
.product_app{
    background-color: #0E313A;
    position: relative;
    padding: 12.8rem 0 11.6rem;
}

.product_app .cir1 {
  position: absolute;
  left: 0;
  right: 0;
  bottom: calc(100% - 2px);
}
.product_app .cir2 {
  position: absolute;
  left: 0;
  right: 0;
  top: calc(100% - 2px);
  transform: rotate(180deg);
}
.product_app .head{
    color: white;
}
.product_app .head h2{
    margin-bottom: 2.7rem;
}
.product_app .head p{
    color: rgba(255, 255, 255, 0.8);
    max-width: 102rem;
    margin: 0 auto;
}
.product_app .nav{
    margin-top: 3.7rem;
    margin-bottom: 5rem;
}
.product_app .nav ul {
  gap: 2rem;
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
}
.product_app .nav li {
  cursor: pointer;
  transition: all 0.3s;
  font-size: 1.8rem;
  font-weight: 600;
  color: #fff;
  border-radius: 0.8rem;
  border: 1px solid rgba(255, 255, 255, 0.25);
  padding: 1.4rem 2.8rem;
  text-align: center;
  min-width: 20.8rem;
}
.product_app .nav li:hover,
.product_app .nav li.active {
  color: #fff;
  border-color: var(--primary);
  background-color: var(--primary);
}
.swiper_product_app{
    overflow: hidden;
}
.swiper_product_app .swiper-slide{
    border-radius: 16px;
    overflow: hidden;
}
.swiper_product_app .swiper-slide .img{
    aspect-ratio: 478/263;
    
}
.swiper_product_app .swiper-slide .info{
    padding: 2.6rem 3.5rem 3.5rem 2.6rem;
    background-color: var(--primary);
}
.swiper_product_app .swiper-slide .info span{
    display: block;
    font-size: 1.7rem;
    color: rgba(255, 255, 255, 0.8);
    text-transform: uppercase;
    font-weight: 600;
}
.swiper_product_app .swiper-slide .info strong{
    font-size: 2.4rem;
    line-height: 3.2rem;
    font-weight: 500;
    color: white;
    margin-top: 1.3rem;
    display: block;
}

.product_tech{
    padding: 15rem 0 8rem;
}
.product_tech .head{
    margin-bottom: 7.6rem;
}
.product_tech .left{
    width: 44.78%;
}
.product_tech .right{
    width: 50.22%;
}

.product_tech .left .swiper_product_tech{
    box-shadow: 0 0 20px rgba(0, 0, 0, 0.1);
    overflow: hidden;
    border-radius: 16px;
}
.product_tech .left .swiper_product_tech .img{
    display: flex;
    align-items: center;
    justify-content: center;
    aspect-ratio: 684/476;
}
.product_tech .left .swiper_product_tech .img img{
    width: 85%;
    height: 85%;
    object-fit: contain;
}
.product_tech .right .table{
    padding-left: 3.8rem;
    position: relative;
    margin-top: 3rem;
}
.product_tech .right .table:before{
    content: "";
    width: 30rem;
    height: calc(100% + 6rem);
    position: absolute;
    left: 0;
    top: 50%;
    transform: translateY(-50%);
    background-color: #F5F5F7;
    z-index: -1;
    border-radius: 24px;

}
.product_tech .right table{
    border-collapse: collapse;
}

.product_tech .right table tr td{
    padding: 0.7rem 3.8rem;
    font-size: 1.7rem;
    color: #222222;
    border-bottom: 1px solid rgba(0, 0, 0, 0.14);
}
.product_tech .right table tr td:nth-of-type(1){
    font-weight: 600;
    width: 26.2rem;
    padding-left: 0;
    padding-right: 0;
}
.product_tech .right table tr:last-of-type td{
    border-bottom: none;
}


.product_tech div.swiper-pagination {
  position: static;
  margin-top: 2.6rem;
  gap: 2rem;
  display: flex;
  justify-content: center;
}
.product_tech div.swiper-pagination .swiper-pagination-bullet {
  opacity: 1;
  margin: 0;
  flex: 1;
  height: 3px;
  max-width: 10.6rem;
  border-radius: 10px;
  transition: all 0.3s;
  background-color: #dfe5ea;
}
.product_tech div.swiper-pagination .swiper-pagination-bullet::before {
  content: '';
  display: block;
  width: 0;
  height: 100%;
  border-radius: 100px;
  background-color: var(--primary);
}
.product_tech div.swiper-pagination .swiper-pagination-bullet-active::before {
  width: 100%;
  transition: all 3.3s linear;
}


.product_story{
    padding: 8rem 0 16.7rem;
}
.product_story .head{
    margin-bottom: 5.7rem;
}

.product_story .swiper_product_story .img{
    height: 26.6rem;
    border-radius: 11px;
}
.product_story .swiper_product_story .swiper-slide a{
    display: block;
    padding: 1.6rem;
    border: 2px solid #eaeaea;
    border-radius: 16px;
    transition: all 0.3s;
}
.product_story .swiper_product_story .swiper-slide{
    transition: all 0.3s;
    width: 32.33% !important;
}
.product_story .swiper_product_story .swiper-slide.swiper-slide-active{
    width: 42.5% !important;
}
.product_story .swiper_product_story .swiper-slide.swiper-slide-active + .swiper-slide, .product_story .swiper_product_story .swiper-slide.swiper-slide-active + .swiper-slide + .swiper-slide {
    width: 25.75% !important;
}
.swiper_product_story{
    overflow: hidden;
}
.product_story .swiper_product_story .swiper-slide.swiper-slide-active a{
    border-color: var(--primary);
}
.product_story .swiper_product_story .swiper-slide strong{
    display: block;
    margin-top: 2.7rem;
    font-size: 2.4rem;
    line-height: 3.4rem;
    font-weight: 600;
    min-height: 10.2rem;
    margin-bottom: 1.6rem;
}

.product_story .swiper_product_story .swiper-slide .btn{
    opacity: 0;
}
.product_story .swiper_product_story .swiper-slide-active .btn{
    opacity: 1;
}
.product_faq {
    padding: 11.6rem 0 11.3rem;
    background-color: #F9F9F9;
}
.product_faq .left{
    width: 31.27%;
}
.product_faq .left .head h2{
    margin-bottom: 3rem;
}
.product_faq .left .head p{
    margin-bottom: 4.4rem;
}
.product_faq .right{
    width: 57.5%;
}

.product_faq .right .question strong{
    font-size: 2rem;
    display: block;
    padding: 1.9rem 3rem;
    border-radius: 8px;
    background-color: #FFFFFF;
    font-weight: 600;
    position: relative;
    cursor: pointer;
}
.product_faq .right .question .answer{
    font-size: 1.7rem;
    line-height: 2.8rem;
    color: #515151;
    padding: 0 3rem;
    margin-top: 2.5rem;
    margin-bottom: 3.5rem;
    display: none;
}
.product_faq .right .faq + .faq{
    margin-top: 2rem;
}
.product_faq .right .faq.active strong{
    background-color: #0F313A;
    color: white;
    font-weight: 400;
}
.product_faq .right .faq strong:after{
    content: '';
    width: 1.9rem;
    height: 1.9rem;
    position: absolute;
    transition: all 0.3s;
    right: 3.8rem;
    top: 2rem;
    background: url('../img/plus-green.svg') no-repeat center/contain;
}

.product_faq .right .faq.active strong:after{
    transform: rotate(135deg);
    filter: brightness(100);
}

.related_products{
    padding: 15.7rem 0 3rem;
}
.related_products .head{
    margin-bottom: 6.3rem;
}


@media screen and (min-width: 769px) and (max-width: 1250px) {
    .product_preview .left .btn_line{
        min-width: unset;
    }
    .product_key .head{
        margin-bottom: 20px;
    }
}

@media screen and (min-width: 769px) and (max-width: 1024px) {
    .product_preview{
        padding-bottom: 100px;
    }
    .product_key .right li strong{
        margin-right: 30px;
    }
}
@media screen and (min-width: 769px) and (max-width: 896px) {
    
    .product_preview .content>.flex{
        flex-direction: column;
    }
    .product_preview .left{
        width: 100%;
    }
    .product_preview .right{
        width: 80%;
    }
    .product_preview{
        padding-top: 150px;
    }
}
@media screen and (max-width: 768px) {
    .product_preview{
        padding-top: 120px;
        padding-bottom: 50px;
    }
    .product_preview .content>.flex{
        flex-flow: wrap;
    }
    .product_preview .left{
        width: 100%;
    }
    .product_preview .right{
        width: 100%;
    }
    .product_preview .left h1{
        font-size: 25px;
        line-height: 1.5;
    }
    .product_preview .left p{
        font-size: 14px;
        line-height: 1.7;
    }
    .product_preview .left .flex .btn{
        min-width: unset;
    }
    .product_preview .left .flex{
        margin-top: 20px;
        gap: 20px;
    }
    .product_preview .right .img{
        transform: translateX(0);
    }
    .product_attrs .main{
        padding: 30px 0;
        overflow: auto;
    }
    .product_attrs .main ul li{
        padding: 0 20px;
        gap: 20px;
    }
    .product_attrs .main ul li .img{
        width: 60px;
        height: 60px;
        min-width: 60px;
    }
    .product_attrs .main ul li span{
        font-size: 15px;
    }
    .product_attrs .main ul li strong{
        font-size: 18px;
        white-space: nowrap;
    }
    .single-product .section_about{
        padding-top: 0;
    }
    .section_video.product_video{
        padding-top: 30px;
    }
    .product_key{
        padding: 0 0 50px;
    }
    .product_key .main>.flex{
        flex-flow: wrap;
    }
    .product_key .left{
        width: 100%;
    }
    .product_key .right{
        width: 100%;
    }
    .product_key .left .img{
        transform: translateX(0);
    }
    .product_key .right li{
        flex-direction: column;
        padding: 20px 0;
    }
    .product_key .right li .icon{
        width: 55px;
        height: 55px;
        min-width: 55px;
    }
    
    .product_key .right li strong{
        font-size: 16px;
    }
    .product_key .right li p{
        font-size: 14px;
        line-height: 1.6;
    }
    .product_app{
        padding: 50px 0;
    }
    .product_app .nav li{
        font-size: 14px;
        padding: 10px 20px;
        white-space: nowrap;
    }
    .product_app .nav ul{
        overflow: auto;
        flex-flow: nowrap;
        justify-content: left;
    }
    .swiper_product_app .swiper-slide .info{
        padding: 20px;
    }
    .swiper_product_app .swiper-slide .info span{
        font-size: 15px;
    }
    .swiper_product_app .swiper-slide .info strong{
        font-size: 16px;
        line-height: 1.5;
    }
    .product_app .nav{
        margin: 30px 0;
    }
    .product_tech{
        padding: 60px 0;
    }
    .product_tech .head{
        margin-bottom: 30px;
    }

    section .main >.flex{
        flex-flow: wrap;
    }
    section .main >.flex >.left, section .main >.flex >.right{
        width: 100%;
    }
    section .main >.flex >.right{
        margin-top: 30px;
    }
    .product_tech .right table tr td{
        font-size: 15px;
    }
    .product_tech .right table tr td:nth-of-type(1){
        width: 125px;
    }
    .product_tech .right .table:before{
        width: 180px;
    }
    .product_story{
        padding: 50px 0;
    }
    .product_story .head{
        margin-bottom: 30px;
    }
    .product_story .swiper_product_story .swiper-slide.swiper-slide-active, .product_story .swiper_product_story .swiper-slide, .product_story .swiper_product_story .swiper-slide.swiper-slide-active + .swiper-slide, .product_story .swiper_product_story .swiper-slide.swiper-slide-active + .swiper-slide + .swiper-slide{
        width: auto !important;
        max-width: 280px;
    }
    .product_story .swiper_product_story .img{
        height: 150px;
    }
    .product_story .swiper_product_story .swiper-slide strong{
        font-size: 18px;
        line-height: 1.5;
    }
    .product_story .swiper_product_story .swiper-slide .flex{
        align-items: center;
    }
    .product_faq{
        padding: 50px 0;
    }
    .product_faq .content >.flex{
        flex-flow: wrap;
    }
    .product_faq .left, .product_faq .right{
        width: 100%;
    }
    .product_faq .left .head h2{
        margin-bottom: 15px;
    }
    .product_faq .left .head p{
        margin-bottom: 20px;
    }
    .product_faq .right{
        margin-top: 40px;
    }
    .product_faq .right .question strong{
        font-size: 17px;
        padding: 10px 20px;
        line-height: 1.5;
        padding-right: 35px;
    }
    .product_faq .right .faq strong:after{
        right: 15px;
    }
    .product_faq .right .question .answer{
        font-size: 14px;
        padding: 0 20px;
        margin-top: 15px;
        margin-bottom: 20px;
    }
    .related_products{
        padding: 50px 0;
    }
    .related_products .content > .flex{
        flex-flow: wrap;
    }
    .related_products .head{
        width: 100%;
        margin-bottom: 20px;
    }

    .related_products .swiper_box{
        margin-top: 30px;
    }
}
@media screen and (max-width: 576px) {

}
